Skip to main content

Get subscription and card details

GET 

/v3/payments/paymentmethods/recurring/card/details

Retrieve subscription and saved card details on demand. Available once the initial CIT payment has reached CONFIRMED status. At least one of operationId or subscriptionId must be provided along with externalBuyerId.

Request​

Query Parameters

    externalBuyerId stringrequired

    Possible values: <= 100 characters

    Unique buyer identifier (buyer.externalId).

    operationId string

    Identifier of the initial CIT payment (paymentId) that created the subscription. Required if subscriptionId is not provided.

    subscriptionId string

    Subscription identifier in Paynow. Required if operationId is not provided.

Header Parameters

    Api-Key stringrequired

    Unique key used to authenticate API requests.

    Signature stringrequired

    The Signature header is used to ensure the request’s body integrity and to confirm that its content has not changed.

    Idempotency-Key stringrequired

    Possible values: <= 45 characters

    A unique identifier used to ensure idempotent behavior. If the business application request fails or you receive a timeout you can retry the request with the same Idempotency-Key to guarantee that only one business object is created.

    User-Agent string

    The User-Agent request header contains a characteristic string that allows the network protocol peers to identify the application type, operating system, software vendor or software version of the requesting software user agent.

    Accept stringrequired

    The Accept request HTTP header advertises which content types, expressed as MIME types, the client is able to understand. Can be set to */*.

Responses​

Success

Schema

    subscription

    object

    required

    id stringrequired

    Subscription identifier in Paynow.

    status stringrequired

    Current subscription status.

    Possible values: [ACTIVE, SUSPENDED, DELETED]

    initialOperation

    object

    required

    type stringrequired

    Type of the operation that created the subscription.

    Possible values: [PAYMENT]

    id stringrequired

    Identifier of the initial CIT payment (paymentId).

    externalId string

    Merchant's externalId of the initial CIT payment.

    externalBuyerId stringrequired

    Unique buyer identifier (buyer.externalId).

    action stringrequired

    Initial registration action of the subscription.

    Possible values: [REGISTER_TOKEN_AND_CHARGE]

    savedInstrument

    object

    required

    token stringrequired

    Saved card token.

    status stringrequired

    Current status of the saved card token.

    Possible values: [ACTIVE, SUSPENDED, EXPIRED_CARD, EXPIRED_TOKEN, DELETED]

    name stringrequired

    Masked card number (e.g. xxxx xxxx xxxx 1234).

    expirationDate stringrequired

    Card expiration date in MM/YY format.

    brand stringrequired

    Card network brand (e.g. VISA, MASTERCARD).

    image stringrequired

    URL of the card brand icon.

Loading...